Vai al contenuto

List user groups

Richiesta

Returns a paginated list of user groups for the specified organization.

Sicurezza
Bearer or PersonalAccessToken
Percorso
organizationIdstring, (uuid)obbligatorio

Unique identifier of the organization

Query
Pageinteger, (int32)

The page number.

PageSizeinteger, (int32)

The number of items per page.

SearchTextstring

Optional free-text filter.

SortingKeystring(UserGroupsSortingKey)

Optional sorting key.

Value:"Name"
Ascendingboolean

Optional sort direction.

GET
/api/v1/organizations/{organizationId}/user-groups
curl -i -X GET \
  '/api/v1/organizations/{organizationId}/user-groups?Page=0&PageSize=0&SearchText=string&SortingKey=Name&Ascending=true' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Risposte

OK

Corpoapplication/json
userGroupsArray of objects(UserGroupSummary)obbligatorio

The list of user groups.

paginationobject(PaginationResponse)obbligatorio

Pagination metadata.

Risposta
{ "userGroups": [ { … }, { … } ], "pagination": { "page": 1, "pageSize": 10, "totalCount": 2 } }